# givens

Givens transformation

## Calling Sequence

    U=givens(xy)
                U=givens(x,y)
                [U,c]=givens(xy)
                [U,c]=givens(x,y)

## Arguments

x,y

  two real or complex numbers

xy

  real or complex size 2 column vector

U

  2x2 unitary matrix

c

  real or complex size 2 column vector

## Description

`U= givens(x, y)` or `U = givens(xy)` with `xy = [x;y]` returns a `2`x`2` unitary matrix `U` such that:

`U*xy=[r;0]=c`.

Note that `givens(x,y)` and `givens([x;y])` are equivalent.

## Examples

    A=[3,4;5,6];
    U=givens(A(:,1));
    U*A

## See Also

- qr